Dancer2::Handler::AutoPage(3pm)

NAME
Dancer2::Handler::AutoPage - Class for handling the AutoPage feature

VERSION
version 2.1.0

DESCRIPTION
The AutoPage feature is a Handler (turned off by default) that is responsible for serving pages that match an existing template. If a view exists with a name that matches the requested path, Dancer2 processes the request using the Autopage handler.

To turn it add to your config file:

      auto_page: 1

This allows you to easily serve simple pages without having to write a route definition for them.

If there's no view with the name request, the route passes, allowing other matching routes to be dispatched.

METHODS

  register
Creates the routes.

  code
A code reference that processes the route request.

  methods
The methods that should be served for autopages.

Default: head, get.

  regexp
The regexp (path) we want to match.

Default: /:page.

AUTHOR
Dancer Core Developers

COPYRIGHT AND LICENSE
This software is copyright (c) 2026 by Alexis Sukrieh.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.